# Sections

Sections

 - [GET /sections/{tenantId}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/sections/listsections.md): This method will scan all sections and and return them to the caller.
 - [POST /sections/{tenantId}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/sections/createsection.md): This method will auto-generate an ID and create a new section. If an ID is specified for the section, an error will be thrown.
 - [POST /sections/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/sections/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations
 - [GET /sections/{tenantId}/portal/describeSections/{membershipPackageId}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/sections/describesectionsformembershippackage.md): Returns a list of sections for a given membership package
 - [GET /sections/{tenantId}/portal/describeSections/{membershipPackageId}/{memberType}/{contactOrOrganizationId}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/sections/describesectionsformembershippackageandmember.md): Returns a list of sections for a given membership package
 - [POST /sections/{tenantId}/search](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/sections/searchforsections.md): Searches for sections using predefined parameters
 - [DELETE /sections/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/sections/deletesection.md): This method will delete a section with the specified ID.
 - [GET /sections/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/sections/getsection.md): This method will look up a section by the specified ID and return it back.
 - [PATCH /sections/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/sections/patchsection.md): This method will patch an existing section with the specified ID, using the HTTP PATCH specification.
 - [PUT /sections/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/sections/updatesection.md): This method will update an existing section with the specified ID.
